Update Fee
Update Fee
Section titled “Update Fee”Update fee of for student uniquely identified by :jodo_student_id.
Endpoint
Section titled “Endpoint”PATCH /api/v1/integrations/erp/students/:jodo_student_id/feeCode Snippets
Section titled “Code Snippets”curl --location --request PATCH 'https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/365127/fee' \--header 'Content-Type: application/json' \--data '{"fee_components":[{"component_type":"8926","fee_amount":"2250"},{"component_type":"8925","fee_amount":"4500"},{"component_type":"6538","fee_amount":"30000"},{"component_type":"8439","fee_amount":"4500"},{"component_type":"6534","fee_amount":"30000"},{"component_type":"8438","fee_amount":"2250"},{"component_type":"8611","fee_amount":"2250"},{"component_type":"8612","fee_amount":"4500"},{"component_type":"8882","fee_amount":"4500"},{"component_type":"8911","fee_amount":"2250"}]}'import requestsimport json
url = "https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/365127/fee"
payload = json.dumps({ "fee_components": [ {"component_type": "8926", "fee_amount": "2250"}, {"component_type": "8925", "fee_amount": "4500"}, {"component_type": "6538", "fee_amount": "30000"}, {"component_type": "8439", "fee_amount": "4500"}, {"component_type": "6534", "fee_amount": "30000"}, {"component_type": "8438", "fee_amount": "2250"}, {"component_type": "8611", "fee_amount": "2250"}, {"component_type": "8612", "fee_amount": "4500"}, {"component_type": "8882", "fee_amount": "4500"}, {"component_type": "8911", "fee_amount": "2250"} ]})headers = { 'Content-Type': 'application/json'}
response = requests.request("PATCH", url, headers=headers, data=payload)print(response.text)Request Body
Section titled “Request Body”{ "fee_components": [ { "component_type": "8926", "fee_amount": "2250" }, { "component_type": "8925", "fee_amount": "4500" }, { "component_type": "6538", "fee_amount": "30000" } ]}| Attribute | Type | Required | Description |
|---|---|---|---|
| fee_components[].component_type | string | Yes | Type of the Fee component as shared between Jodo and ERP |
| fee_components[].fee_amount | integer | Yes | Fee Amount |
| fee_components[].discounts[].discount_type | string | Yes | One of the type of Discounts as shared between Jodo and ERP |
| fee_components[].discounts[].value | integer | Yes | Discount amount in INR |
Response
Section titled “Response”- HTTP Code:
200
{ "status": "success"}| Attribute | Type | Description |
|---|---|---|
| status | string | success or error |